import request from '@/utils/request'

// 查询用户提现账号列表
export function listAccount(query) {
  return request({
    url: '/business/account/list',
    method: 'get',
    params: query
  })
}

// 查询用户提现账号详细
export function getAccount(id) {
  return request({
    url: '/business/account/' + id,
    method: 'get'
  })
}

// 新增用户提现账号
export function addAccount(data) {
  return request({
    url: '/business/account',
    method: 'post',
    data: data
  })
}

// 修改用户提现账号
export function updateAccount(data) {
  return request({
    url: '/business/account',
    method: 'put',
    data: data
  })
}

// 删除用户提现账号
export function delAccount(id) {
  return request({
    url: '/business/account/' + id,
    method: 'delete'
  })
}
